package net.minecraft.src;

import net.lax1dude.eaglercraft.TextureLocation;

import java.io.IOException;
import java.util.List;
import java.util.Set;

public interface ResourceManager
{
    Set getResourceDomains();

    Resource getResource(TextureLocation var1) throws IOException;

    List getAllResources(TextureLocation var1) throws IOException;
}
